ARCPLUGIN(1)

NAME

arcplugin - ARC plugin management utility

DESCRIPTION

The arcplugin command prints description of ARC plugin or creates ARC Plugin Descriptor (APD) file.

SYNOPSIS

arcplugin [-c] [-r] [-p priority,regex] [-h] plugin_path [plugin_path [...]]

OPTIONS

-h  Prints help message and exits.

-c  If specified then APD file is created using same name as ARC plugin with suffix. replaced with .apd.

-r  If specified operation is fully recursive.

-p  Defines which priority to be assigned for each plugin. Each plugin's kind and name attributes are matched specified regex. One which matches gets specified This option can be specified multiple times. Priority is 32 bit positive integer. Default value is 128.

plugin_path
    full path to ARC plugin loadable module file or directory containing such modules. In last case operation will recurse once into that directory. For fully recursive operation use -r.

REPORTING BUGS
Report bugs to http://bugzilla.nordugrid.org

COPYRIGHT
APACHE LICENSE Version 2.0

AUTHOR

ARC software is developed by the NorduGrid Collaboration (http://www.nordugrid.org), please consult the AUTHORS file distributed with ARC. Please report bugs and feature requests to http://bugzilla.nordugrid.org